id: vertex-malware

info:
  name: Vertex Malware - Detect
  author: daffainfo
  severity: info
  reference: https://github.com/Yara-Rules/rules/blob/master/malware/RAT_Ratdecoders.yar
  tags: malware,file
file:
  - extensions:
      - all
    matchers:
      - type: word
        part: raw
        words:
          - "DEFPATH"
          - "HKNAME"
          - "HPORT"
          - "INSTALL"
          - "IPATH"
          - "MUTEX"
          - "PANELPATH"
          - "ROOTURL"
        condition: and
# digest: 4a0a00473045022100e864f7385f3b65313522ea7832cc591242131686f3aabf5cb7ef00720d237e7602203fb67118a0c9ea546b4a050d76cc447a50e6d7c784727c21b782b7edc4a5a9f3:922c64590222798bb761d5b6d8e72950